Workflows Service, REST: Execution.Get
Retrieves specified Workflow execution.
HTTP request
GET https://serverless-workflows.api.yandexcloud.kz/workflows/v1/execution/{executionId}
Path parameters
|
Field |
Description |
|
executionId |
string Required field. ID of the Workflow execution. |
Response
HTTP Code: 200 - OK
{
"execution": {
"id": "string",
"workflowId": "string",
"input": {
// Includes only one of the fields `inputJson`, `inputValue`
"inputJson": "string",
"inputValue": {
// Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`
"nullValue": "string",
"numberValue": "string",
"stringValue": "string",
"boolValue": "boolean",
"structValue": "object",
"listValue": {
"values": [
"object"
]
}
// end of the list of possible fields
}
// end of the list of possible fields
},
"result": {
// Includes only one of the fields `resultJson`
"resultJson": "string"
// end of the list of possible fields
},
"error": {
"message": "string",
"errorCode": "string"
},
"status": "string",
"startedAt": "string",
"duration": "string"
}
}
|
Field |
Description |
|
execution |
Workflow execution details. |
Execution
|
Field |
Description |
|
id |
string ID of the Workflow execution. Generated at creation time. |
|
workflowId |
string ID of the Workflow. |
|
input |
Input data for the Workflow execution. |
|
result |
Result of the Workflow execution. |
|
error |
Error details, in case Workflow execution failed. |
|
status |
enum (Status) Status of the Workflow execution
|
|
startedAt |
string (date-time) Start timestamp for the Workflow execution. String in RFC3339 To work with values in this field, use the APIs described in the |
|
duration |
string (duration) Duration of the Workflow execution. |
ExecutionInput
|
Field |
Description |
|
inputJson |
string JSON input data for the Workflow execution. Includes only one of the fields |
|
inputValue |
Input value for the Workflow execution. Includes only one of the fields |
Value
|
Field |
Description |
|
nullValue |
enum (NullValue) Includes only one of the fields |
|
numberValue |
string Includes only one of the fields |
|
stringValue |
string Includes only one of the fields |
|
boolValue |
boolean Includes only one of the fields |
|
structValue |
object Includes only one of the fields |
|
listValue |
Includes only one of the fields |
ListValue
|
Field |
Description |
|
values[] |
ExecutionResult
|
Field |
Description |
|
resultJson |
string JSON result of the Workflow execution. Includes only one of the fields |
ExecutionError
|
Field |
Description |
|
message |
string Error message of the Workflow execution. |
|
errorCode |
string Error code of the Workflow execution. |